# Metatag

[![Join the chat at https://gitter.im/lonalore/metatag](https://badges.gitter.im/lonalore/metatag.svg)](https://gitter.im/lonalore/metatag?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

e107 (v2) plugin - This plugin allows you to automatically provide structured metadata, aka "meta tags", about a website.

### Features

- Supports a large number of commonly used meta tags, including the page title, canonical URL, description, etc, and for Facebook's [Open Graph](http://ogp.me/), [Twitter Cards](https://dev.twitter.com/docs/cards) and [Dublin Core](http://dublincore.org/documents/dces/).
- Global settings to control meta tags on all pages.
- Per entity to control default meta tags for all items of a certain type, e.g. all news (news list page), all pages (page list)
- Ability to override default meta tags on each entity item, e.g. to override meta tags on an individual news item.
- Extendable and flexible API for define new entities and tokens (see **e_metatag.php** addon file).
- Supports tokens (generic placeholder substitutions).

### Requirements

- e107 (>= v2.1.2)

### Questions about this project?

Please feel free to report any bug found. Pull requests, issues, and plugin recommendations are more than welcome!

### Donate with [PayPal](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=PQYDBAMQ3D2UG)

If you think this plugin is useful and saves you a lot of work, a lot of costs (PHP developers are expensive) and let you sleep much better, then donating a small amount would be very cool.

[![Paypal](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=PQYDBAMQ3D2UG)

### Support on Beerpay
Hey dude! Help me out for a couple of :beers:!

[![Beerpay](https://beerpay.io/lonalore/metatag/badge.svg?style=beer-square)](https://beerpay.io/lonalore/metatag)  [![Beerpay](https://beerpay.io/lonalore/metatag/make-wish.svg?style=flat-square)](https://beerpay.io/lonalore/metatag?focus=wish)

### Screenshot

##### Admin UI for default meta tag settings

![01](https://dl.dropboxusercontent.com/u/17751753/metatag/metatag01.png)

##### "Metatag" tab on Create news form (with collapsed panels)

![02](https://dl.dropboxusercontent.com/u/17751753/metatag/metatag02.png)

##### "Available tokens" popup

![02](https://dl.dropboxusercontent.com/u/17751753/metatag/metatag04.png)

##### "Metatag" tab on Create news form (with opened panels)

![03](https://dl.dropboxusercontent.com/u/17751753/metatag/metatag03.png)
